package com.sz.admin.monitor.service;


import com.mybatisflex.core.service.IService;
import com.sz.admin.monitor.pojo.dto.faceinfo.FaceInfoCreateDTO;
import com.sz.admin.monitor.pojo.dto.faceinfo.FaceInfoListDTO;
import com.sz.admin.monitor.pojo.dto.faceinfo.FaceInfoUpdateDTO;
import com.sz.admin.monitor.pojo.po.FaceInfo;
import com.sz.admin.monitor.pojo.vo.faceinfo.FaceInfoVO;
import com.sz.core.common.entity.ImportExcelDTO;
import com.sz.core.common.entity.PageResult;
import com.sz.core.common.entity.SelectIdsDTO;
import jakarta.servlet.http.HttpServletResponse;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 人脸信息表 Service
 * </p>
 *
 * @author Lz
 * @since 2026-02-26
 */
public interface FaceInfoService extends IService<FaceInfo> {

    void create(FaceInfoCreateDTO dto);

    void update(FaceInfoUpdateDTO dto);

    PageResult<FaceInfoVO> page(FaceInfoListDTO dto);

    List<FaceInfoVO> list(FaceInfoListDTO dto);

    void remove(SelectIdsDTO dto);

    FaceInfoVO detail(Object id);

    void importExcel(ImportExcelDTO dto);

    void exportExcel(FaceInfoListDTO dto, HttpServletResponse response);
    // 根据库ID删除人脸信息
    void removeByLibraryIds(List<? extends Serializable> ids);
}